# $Revision: 1.119 $, $Date: 2010/04/01 06:35:03 $
#
%define		qtver	4.6.2
%define		kdever	4.4.0

Summary:	A KDE frontend for gphoto2
Summary(pl.UTF-8):	Interfejs KDE do gphoto2
Name:		digikam
Version:	1.2.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/digikam/%{name}-%{version}.tar.bz2
# Source0-md5:	8f68022008cf1650924cc8688f176572
URL:		http://www.digikam.org/
Patch0:		%{name}-link.patch
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	jasper-devel
BuildRequires:	kde4-kdeedu-devel >= %{kdever}
BuildRequires:	kde4-kdegraphics-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdepimlibs-devel >= %{kdever}
BuildRequires:	lcms-devel
BuildRequires:	lensfun-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	liblqr-devel >= 0.4.0
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	soprano-devel
Requires:	QtSql-sqlite3
Obsoletes:	digikamimageplugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Designed to be a standalone application to preview and download images
from a digital camera on a Linux machine.

%description -l pl.UTF-8
Samodzielna aplikacja do oglądania i ściągania obrazków z aparatów
cyfrowych pod Linuksem.

%package devel
Summary:	A KDE frontend for gphoto2 - header files
Summary(pl.UTF-8):	Interfejs KDE do gphoto2 - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
A KDE frontend for gphoto2 - header files.

%description devel -l pl.UTF-8
Interfejs KDE do gphoto2 - pliki nagłówkowe.

%prep
%setup -q
%patch0 -p0

%build
# explicitely remove hne language support (re-add when glibc supports it)
%{__sed} -i -e 's/add_subdirectory(hne)//g' po/CMakeLists.txt
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/cleanup_digikamdb
%attr(755,root,root) %{_bindir}/digikam
%dir %{_datadir}/apps/digikam/utils
%attr(755,root,root) %{_datadir}/apps/digikam/utils/digikam-camera
%attr(755,root,root) %{_bindir}/digitaglinktree
%attr(755,root,root) %{_bindir}/showfoto
%attr(755,root,root) %ghost %{_libdir}/libdigikamdatabase.so.1
%attr(755,root,root) %{_libdir}/libdigikamdatabase.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdigikamcore.so.1
%attr(755,root,root) %{_libdir}/libdigikamcore.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/digikamimageplugin_*.so
%attr(755,root,root) %{_libdir}/kde4/digikamnepomukservice.so
%attr(755,root,root) %{_libdir}/kde4/kio_digikamalbums.so
%attr(755,root,root) %{_libdir}/kde4/kio_digikamdates.so
%attr(755,root,root) %{_libdir}/kde4/kio_digikamsearch.so
%attr(755,root,root) %{_libdir}/kde4/kio_digikamtags.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/ExternalDraw.so
%{_mandir}/man1/digitaglinktree.1*
%{_mandir}/man1/cleanup_digikamdb.1*
%dir %{_datadir}/apps/digikam
%{_datadir}/apps/digikam/about
%{_datadir}/apps/digikam/cameraui.rc
%{_datadir}/apps/digikam/data
%{_datadir}/apps/digikam/digikamimageplugin_*.rc
%{_datadir}/apps/digikam/digikamimagewindowui.rc
%{_datadir}/apps/digikam/digikamui.rc
%{_datadir}/apps/digikam/icons
%{_datadir}/apps/digikam/lighttablewindowui.rc
%{_datadir}/apps/digikam/queuemgrwindowui.rc
%{_datadir}/apps/digikam/themes
%{_datadir}/apps/digikam/tips
%{_datadir}/apps/showfoto
%{_datadir}/kde4/services/digikamalbums.protocol
%{_datadir}/kde4/services/digikamdates.protocol
%{_datadir}/kde4/services/digikamimageplugin_*.desktop
%{_datadir}/kde4/services/digikamnepomukservice.desktop
%{_datadir}/kde4/services/digikamsearch.protocol
%{_datadir}/kde4/services/digikamtags.protocol
%{_datadir}/apps/digikam/digikam.notifyrc
%{_datadir}/apps/solid/actions/digikam-opencamera.desktop
%{_datadir}/kde4/servicetypes/digikamimageplugin.desktop
%{_iconsdir}/*/*/apps/*.png
%{_desktopdir}/kde4/*.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdigikamcore.so
%attr(755,root,root) %{_libdir}/libdigikamdatabase.so
%{_includedir}/*.h
%{_includedir}/digikam

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: digikam.spec,v $
Revision 1.119  2010/04/01 06:35:03  arekm
- up to 1.2.0

Revision 1.118  2010/02/28 15:30:21  hawk
- release 4

Revision 1.117  2010/02/24 09:52:07  shadzik
- cosmetics
- rel 3 for rebuild with kde 4.4
- add marble plugin

Revision 1.116  2010/02/05 12:38:23  arekm
- release 2

Revision 1.115  2010/02/03 21:03:48  rotom
- up to 1.1.0

Revision 1.114  2010/01/30 19:35:02  sparky
- BR: kde4-kdelibs-devel, libtiff-devel, qt4-build, soprano-devel

Revision 1.113  2010/01/29 20:18:49  arekm
- rel 3; libpng fix

Revision 1.112  2010/01/29 19:59:51  arekm
- release 2

Revision 1.111  2009/12/22 11:40:44  arekm
- move DEVEL to HEAD

Revision 1.72.4.12  2009/12/22 11:39:02  arekm
- up to 1.0.0

Revision 1.72.4.11  2009/11/11 21:05:26  arekm
- up to beta6

Revision 1.72.4.10  2009/10/19 08:14:47  paszczus
- updated to 1.0.0 beta5

Revision 1.72.4.9  2009/10/02 19:06:37  arekm
- beta4

Revision 1.72.4.8  2009/08/03 15:23:10  arekm
- cmake case sensitive var values

Revision 1.72.4.7  2009/07/26 19:10:41  arekm
- up to 1.0.0 beta3

Revision 1.72.4.6  2009/06/30 12:31:21  shadzik
- exclude hne lang support for now (glibc doesn't support it yet)
- rel .2

Revision 1.72.4.5  2009/06/30 08:09:48  paszczus
- updated to 1.0.0-beta1
- commented out BR: kde4-kdeedu-devel (seems to not needed anymore)

Revision 1.106  2009/04/29 22:11:55  shadzik
- BR: QtDesigner-devel
- rel 3

Revision 1.105  2009/04/28 17:00:10  glen
- build without debug code; rel 2

Revision 1.104  2009/03/18 20:48:45  arekm
- new url

Revision 1.103  2009/03/18 18:42:30  arekm
- add BR kdeedu-devel for libmarble

Revision 1.102  2009/03/18 18:38:57  arekm
- up to final 0.10.0

Revision 1.101  2009/02/28 12:41:05  shadzik
- %dir
- rel .2

Revision 1.100  2009/02/21 23:50:22  pawelz
- BR seems to be complete, removed comment
- R: QtSql-sqlite3

Revision 1.99  2009/02/19 21:38:30  pawelz
- up to 0.10 rc2
- a lot of new BRs

Revision 1.98  2009/01/26 08:37:27  arekm
- up to 0.10.0 rc1

Revision 1.97  2009/01/16 14:05:16  shadzik
- beta8
- cosmetics

Revision 1.96  2009/01/16 12:56:47  shadzik
- exclude scalable icons

Revision 1.95  2009/01/05 20:58:22  glen
- no sr@latin hacks

Revision 1.94  2009/01/05 20:55:00  glen
- packaging files

Revision 1.93  2008/12/28 16:23:05  rotom
- up to beta7

Revision 1.92  2008/12/06 21:34:58  paszczus
- updated to 0.10.0 beta6

Revision 1.91  2008/11/24 19:48:29  paszczus
- updated kde4 BRs

Revision 1.90  2008/11/24 19:44:50  shadzik
- cmake even higher (up to 2.6.2)
- paszczus wanted to correct my commit, so count it as if he did

Revision 1.89  2008/11/24 19:30:43  shadzik
- BR; kde4-kdepimlibs-devel
- updated Qt and cmake BR

Revision 1.88  2008/11/24 19:02:43  paszczus
- updated to 0.10.0 beta5
- removed bogus BRs
- added BRs: kde4-kdegraphics-devel, funlens-devel

Revision 1.87  2008/08/09 12:24:17  paszczus
- added few BRs; unifications

Revision 1.86  2008/08/01 13:11:12  rotom
- up to 0.10.0-beta2

Revision 1.85  2008/07/26 19:04:19  rotom
- install prefix added
- section files fixed

Revision 1.84  2008/07/25 07:39:39  arekm
- more

Revision 1.83  2008/07/25 07:31:15  arekm
- raw; version for kde 3.5 on DIGIKAM_0_9

Revision 1.82  2008/06/28 18:13:03  beorn
- Up to 0.9.4rc1

Revision 1.81  2008/05/04 11:26:18  hawk
- fixed previous log entry

Revision 1.80  2008-05-03 23:10:25  hawk
- updated to 0.9.4-beta4, fixes build with libkdcraw 0.1.4

Revision 1.79  2008-04-25 18:36:07  hawk
- release 2

Revision 1.78  2008-01-03 19:16:20  rotom
- +x to digikam-camera script

Revision 1.77  2007-12-30 19:24:58  rotom
- 0.9.3
- obsoletes lcms patch removed

Revision 1.76  2007-11-03 23:27:05  ankry
- sr@Latn -> sr@latin, rel. 6

Revision 1.75  2007/10/30 09:11:12  arekm
- rel 5; fix build with new lcms

Revision 1.74  2007/10/21 17:47:01  arekm
- rel 4; rebuild

Revision 1.73  2007/10/20 09:11:34  glen
- group X11/Applications/Graphics

Revision 1.72  2007/10/19 17:53:43  shadzik
- reverted wolvverines commit
- betas GO ON DEVEL! especially when you aren't sure if they build!

Revision 1.70  2007/10/03 13:30:50  wolvverine
- rel.3

Revision 1.69  2007/06/21 21:07:04  arekm
- rel 2; obsolete digikamimageplugins (merged into main package)

Revision 1.68  2007/06/21 17:38:35  shadzik
- 0.9.2
- updated BRs
- BR libdcraw-devel

Revision 1.67  2007/06/14 16:54:46  arekm
- rel 3

Revision 1.66  2007/04/18 09:23:54  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

Revision 1.65  2007/03/08 10:21:45  shadzik
- kill useless BRs
- add jasper-devel BR
- pointed by Kacper Kornet <kornet at camk dot edu dot pl>

Revision 1.64  2007/03/05 17:43:43  shadzik
- merged from HEAD version 0.9.1 stable
- rel 1

Revision 1.63.2.4  2007/03/05 17:41:44  shadzik
- up to 0.9.1 stable

Revision 1.63.2.3  2007/03/03 15:02:12  shadzik
- make -C digikam not needed anymore

Revision 1.63.2.2  2007/03/03 14:57:32  shadzik
- ups, ekhem, now really libkexiv2-devel

Revision 1.63.2.1  2007/03/03 14:56:53  shadzik
- up to 0.9.1-rc2
- BR: libkexiv2-devel

Revision 1.63  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.61  2006/12/22 01:24:46  shadzik
- remove *.la files
- rel 5 for rebuild

Revision 1.60  2006/12/18 23:23:07  shadzik
- rel 4 for rebuild

Revision 1.59  2006/12/18 23:14:45  shadzik
- reverted last change

Revision 1.58  2006/12/18 20:58:41  shadzik
- _noautoreq libtool(.*)

Revision 1.57  2006/12/18 17:11:58  shadzik
- rel 2

Revision 1.56  2006/12/18 17:10:18  shadzik
- add ac260-lt patch

Revision 1.55  2006/12/18 14:19:34  qboosh
- restored prep/build separation

Revision 1.54  2006/12/18 13:27:11  shadzik
- add missing changelogs (1.43-1.52)

Revision 1.53  2006/12/18 13:19:32  shadzik
- merged from DEVEL
- version 0.9.0

Revision 1.52  2006/07/18 22:34:09  vip
- missing BR: sqlite3-devel

Revision 1.51  2006/07/18 22:02:36  shadzik
- build fix

Revision 1.50  2006/07/18 21:01:07  shadzik
- up to 0.8.2

Revision 1.49  2006/04/11 22:59:41  arekm
- rel 2; drop x-raw.desktop; conflicting with kdelibs

Revision 1.48  2006/03/09 09:11:40  glen
- altering source moved to %prep

Revision 1.47  2006/02/17 14:19:51  rotom
- updated to 0.8.1

Revision 1.46  2006/01/13 20:08:48  arekm
- rel 2

Revision 1.45  2005/12/30 20:00:33  maciek2w
- packaged digikam.desktop

Revision 1.44  2005/12/30 16:35:36  pawelk
- version 0.8.0

Revision 1.43  2005/10/30 12:19:51  arekm
- rel 2

Revision 1.42.2.15  2006/12/18 13:13:29  shadzik
- up to final 0.9.0, seems stable to me so...
- ... rel 1
- ready to merge to HEAD

Revision 1.42.2.14  2006/12/08 00:22:09  shadzik
- sort BRs, darekr shame on you :P

Revision 1.42.2.13  2006/12/08 00:20:43  shadzik
- Br exiv2
- builds

Revision 1.42.2.12  2006/12/07 23:40:05  darekr
- BR: libstdc++-devel

Revision 1.42.2.11  2006/12/07 22:04:41  shadzik
- 0.9.0-rc2

Revision 1.42.2.10  2006/11/21 22:01:52  shadzik
- 0.9.0rc1

Revision 1.42.2.9  2006/10/23 00:36:21  shadzik
- 0.9.0beta3

Revision 1.42.2.8  2006/09/20 11:10:12  qboosh
- files fix

Revision 1.42.2.7  2006/09/20 09:02:59  shadzik
- add manpage for digitagtree

Revision 1.42.2.6  2006/09/20 08:57:54  shadzik
- 0.9.0beta2

Revision 1.42.2.5  2006/07/21 11:30:33  shadzik
- up to 0.9.0-beta1

Revision 1.42.2.4  2006/05/19 03:31:36  shadzik
- up to 0.8.2 RC1; not tested

Revision 1.42.2.3  2005/12/09 14:55:03  paszczus
- updated to 0.8.0
- ready to merge

Revision 1.42.2.2  2005/08/22 22:04:41  paszczus
- commented files are back

Revision 1.42.2.1  2005/08/22 21:56:01  paszczus
- updated to 0.8.0 (snap 2005-08-22)
- added BR: sqlite3-devel

Revision 1.42  2005/08/22 19:01:58  arekm
- up to 0.7.4

Revision 1.41  2005/07/18 11:15:53  charles
- updated to 0.7.3
- updated build section, added --all-name to find_lang
- fix pl -devel desc
- BR: autoconf, sed >= 4.0
- more docs

Revision 1.40  2005/05/23 15:25:47  darekr
- 1.129 macros for _kdedocdir

Revision 1.39  2005/03/27 12:16:32  havner
- rel 1

Revision 1.38  2005/03/20 12:04:47  qboosh
- gpm-friendly Source0 URL

Revision 1.37  2005/03/04 18:40:46  bszx
- updated to 0.7.2

Revision 1.36  2005/01/09 01:40:00  petec
- update to 0.7.1 from Michal Kochanowicz <michal@michal.waw.pl>
- BR libkexif-devel 0.2
- showfoto added to package

Revision 1.35  2004/11/27 19:21:08  saq
- massive attack: more BR epoch fixes

Revision 1.34  2004/11/17 20:17:34  qboosh
- revised BRs

Revision 1.33  2004/11/16 22:05:20  arekm
- rel 1

Revision 1.32  2004/11/14 15:49:59  jm
- fixes by Michał Kochanowicz of previous update to 0.7

Revision 1.31  2004/11/10 14:11:14  paladine
- cosmetics

Revision 1.30  2004/11/08 21:26:58  paszczus
- updated to FINAL 0.7
- release 0.1 ; test build please

Revision 1.29  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.28  2004/09/20 16:59:14  djurban
- md5

Revision 1.27  2004/09/20 16:52:20  djurban
- fix imlib req and fetch tarball

Revision 1.26  2004/09/20 16:49:43  djurban
- finished update, will fetch md5 srcs in a moment

Revision 1.25  2004/09/20 16:17:32  djurban
- begin update to 0.7.0

Revision 1.19  2004/09/17 06:55:04  krolik
- fixed %prep, it builds

Revision 1.18  2004/09/17 01:19:24  havner
- proper source0 url

Revision 1.17  2004/09/17 01:16:45  havner
- properly commented out macros

Revision 1.16  2004/09/17 00:21:28  havner
- 0.6.2

Revision 1.15  2004/09/16 22:42:10  aflinta
- rebuild with libexif, release 3

Revision 1.14  2004/07/28 01:02:04  ankry
- cp config.sub for amd64, rel. 2

Revision 1.13  2004/07/28 00:07:35  ankry
- desktop fixes

Revision 1.12  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.11  2004/06/21 18:47:22  qboosh
- -devel R: kdelibs-devel,libgphoto2-devel

Revision 1.10  2004/04/25 17:48:24  yogib
- changed Categories passed to desktop file

Revision 1.9  2004/04/12 13:16:23  yogib
- updated to 0.6.1, added BR: kdesdk-po2xml, commented ac/am

Revision 1.8  2004/03/25 12:13:26  matkor
- Rel. 3. Therotically fixed main desktop file.

Revision 1.7  2004/03/21 16:44:39  marcus
- added BR imlib-devel

Revision 1.6  2004/03/07 13:33:59  yogib
- missing BR: lockdev-devel

Revision 1.5  2004/03/05 22:59:42  qboosh
- some cleanups and (blind) fixes

Revision 1.4  2004/03/05 17:32:56  bszx
- updated to 0.6

Revision 1.2  2003/08/02 23:29:53  qboosh
- pl, changed _prefix for HEAD

Revision 1.1  2003/08/02 12:54:47  bszx
- initial revision; tested on Ra, 2.4.22-pre2 kernel and PTP camera
